#
#  ======== makefile ========
#

PROFILE = release

ipcutils: $(LIBDIR)/ti/sdo/opencl/lib/$(PROFILE)/opencl_api_syslink.av5T
ipcutils: $(LIBDIR)/ti/sdo/rcm/lib/$(PROFILE)/rcm.av5T
ipcutils: $(LIBDIR)/ti/sdo/tiler/remote/lib/$(PROFILE)/tiler_skel.av5T

PKGPATH = $(IPCUTILS_INSTALL_DIR)/packages;$(IPC_INSTALL_DIR)/packages;$(FC_INSTALL_DIR)/packages;$(OSAL_INSTALL_DIR)/sources;$(OSAL_INSTALL_DIR)/packages;$(LINK_INSTALL_DIR)/packages;$(XDAIS_INSTALL_DIR)/packages;$(CMEM_INSTALL_DIR)/packages


#
#  ======== makefile.GCArmv5T ========
#

$(LIBDIR)/ti/sdo/opencl/lib/$(PROFILE)/opencl_api_syslink.av5T:
	@echo "#"
	@echo "# Making $@..."
	$(MAKE) -C ti/sdo/opencl -f simple_GCArmv5T.mak \
            PKG_PATH="$(PKGPATH)" \
            CGTOOLS_V5T=$(CGTOOLS_V5T) \
            CC_V5T=$(CC_V5T) \
            AR_V5T=$(AR_V5T) \
	    LIBDIR=$(LIBDIR)/ti/sdo/opencl/lib/$(PROFILE)
            $@

$(LIBDIR)/ti/sdo/rcm/lib/$(PROFILE)/rcm.av5T:
	@echo "#"
	@echo "# Making $@..."
	$(MAKE) -C ti/sdo/rcm -f simple_GCArmv5T.mak \
            PKG_PATH="$(PKGPATH)" \
            CGTOOLS_V5T=$(CGTOOLS_V5T) \
            CC_V5T=$(CC_V5T) \
            AR_V5T=$(AR_V5T) \
	    LIBDIR=$(LIBDIR)/ti/sdo/rcm/lib/$(PROFILE)
            $@

$(LIBDIR)/ti/sdo/tiler/remote/lib/$(PROFILE)/tiler_skel.av5T:
	@echo "#"
	@echo "# Making $@..."
	$(MAKE) -C ti/sdo/tiler/remote -f simple_GCArmv5T.mak \
            PKG_PATH="$(PKGPATH)" \
            CGTOOLS_V5T=$(CGTOOLS_V5T) \
            CC_V5T=$(CC_V5T) \
            AR_V5T=$(AR_V5T) \
	    LIBDIR=$(LIBDIR)/ti/sdo/tiler/remote/lib/$(PROFILE)
            $@


#
#  ======== clean ========
#
clean::
	@echo "#"
	@echo "# Cleaning packages..."
	$(MAKE) -C ti/sdo/opencl -f simple_GCArmv5T.mak clean
	$(MAKE) -C ti/sdo/rcm -f simple_GCArmv5T.mak clean
	$(MAKE) -C ti/sdo/tiler/remote -f simple_GCArmv5T.mak clean
